/*----------------------------------------------------------------------
copyright (c) 2008 Georget Fabien

This program is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
--------------------------------------------------------------------------
File : ExploTab.h
Program : gt2n
Date : 16/06/08
--------------------------------------------------------------------------
Nature : Header file for the explorator widget
--------------------------------------------------------------------------*/


#ifndef EXPLOTAB_HEADER
#define EXPLOTAB_HEADER

#include <QString>
//#include <QtGlobal>
//#include <QStandardItemModel>
#include "MainWindow.h"
class QTreeView;
class QListView;
class QStandardItemModel;
class QDirModel; 
class QAction;
class QDockWidget;
#include <QModelIndex>
//class QGridLayout

class ExploTab : public QWidget
{
  Q_OBJECT
  Q_CLASSINFO("Author", "Fabien Georget")
  Q_CLASSINFO("URL", "http://nxttransfer.societeg.com")

  public:
  ExploTab();
  ExploTab(QDockWidget *dock, MainWindow *mainWind);
  
  void addFile(std::string type, std::string name, int size);
  void listFile();
  QString fileNameActived();
  void clean();
  void actEnableConnect(bool boolean);
  
  protected:
    void contextMenuEvent(QContextMenuEvent *event);

  public slots:
    void s_listFile();
    void s_delFile();
    void s_affFile(const QModelIndex index);
    void s_downFile();

  private:
  
  void createAction();
  
  MainWindow *fenPrincipale;
  nxt_file fileDesc;
  QStandardItemModel *model;
  QTreeView *fileList;
  //QDirModel *modelDir;
 // QListView *compView;

  QAction *uploadAct;
  QAction *downloadAct;
  QAction *refreshAct;
  QAction *deleteAct;
  

};


#endif // EXPLOTAB_HEADER