/*----------------------------------------------------------------------
copyright (c) 2008 Georget Fabien

This program is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
--------------------------------------------------------------------------
File : InfoTab.h
Program : gt2n
Date : 16/06/08
--------------------------------------------------------------------------
Nature : Header file for the information widget
--------------------------------------------------------------------------*/

#ifndef INFOTAB_HEADER
#define INFOTAB_HEADER


#include "MainWindow.h"

class QLabel;
class QWidget;
class QDockWidget;

class InfoTab : public QWidget
{
  Q_OBJECT
  Q_CLASSINFO("Author", "Fabien Georget")
  Q_CLASSINFO("URL", "http://nxttransfer.societeg.com")

  public:
    InfoTab();
    InfoTab(QDockWidget *dock, MainWindow *mainWind);
    void getInfo();
    void afficheInfo();
    void effacerInfo();
    
    void actEnableConnect(bool boolean);

  protected:
    void contextMenuEvent(QContextMenuEvent *event);

  public slots:
    void s_getInfo();
    
  private:
    void createAction();
    MainWindow *fenPrincipale;
    nxt_info info;
    QLabel *name_info;
    QLabel *firm_info;
    QLabel *prot_info;
    QLabel *batt_info;
    QLabel *adbt_info;
    QAction *connectAct;
    QAction *disconnectAct;
    QAction *refreshAct;
    QAction *renameAct;
};


#endif // INFOTAB_HEADER

